Bug 994746 - Notification gives no option to open or report the crash
Notification gives no option to open or report the crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
20
All All
unspecified Severity high
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
: 1016714 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 19:55 EDT by Adam Williamson
Modified: 2016-11-30 19:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:15:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-08-07 19:55:44 EDT
Ever since the switch to gnome-abrt, this has been annoying me - I assumed it was really obvious and would be fixed quickly, but apparently not.

When something crashes, you get a Shell notification. Fine. But the only action it offers is 'Ignore'. There is no 'Report' action, which surely is what we actually want people to do. If I want to report the bug, I have to manually go to the overview and launch gnome-abrt. That seems weird.
Comment 1 Jakub Filak 2013-08-08 03:15:58 EDT
I can't prove it but this weird behaviour was required by GNOME developers. They wanted really fast and simple problem reporting. Hence, we have introduced the concept of Shortened reporting which is by default enabled only in GNOME session (in all other desktops you have to enabled it manually). If Shortened reporting is enabled, ABRT sends an uReport to https://abrt.fedoraproject.org/faf and finishes the reporting process with the notification bubble. Ignore button disables repeated notifications for the notified problem. Shortened reporting can be disabled via system-config-abrt.
Comment 2 Adam Williamson 2013-08-08 08:48:15 EDT
I'm aware of that, but I still see significant value in actually being able to report the bug *properly* - i.e. to Bugzilla - from the notification.
Comment 3 Jakub Filak 2013-08-08 09:08:56 EDT
So if I understand you correctly, you are unhappy with the fact that Shortened reporting is enabled by default in GNOME? Because, if you disable this feature, you will be able to report the bug *properly* from the notification.
Comment 4 Adam Williamson 2013-08-17 02:27:01 EDT
Well, I suppose what I'd like is for it to send the FAF report automatically as it does now, *and* have the notification show a button for 'submit bug to bugzilla' or whatever if the bug is not yet reported there.
Comment 5 Jakub Filak 2013-08-19 04:58:43 EDT
I'm sorry but, though that if you disable Shortened reporting, the notification bubble will have "Report" button. I'd like to kindly ask you to make a demonstration video where you disable Shortened reporting, restart abrt-applet ('killall -TERM abrt-applet; abrt-applet &') and the notification bubble doesn't have a button for 'submit bug to bugzilla' or whatever if the bug is not yet reported there.
Comment 6 Adam Williamson 2013-08-19 11:00:47 EDT
Sigh. No. That's not what I want. I'm talking about the *default behaviour*.

I want the default behaviour to encourage entering encountered bugs into Bugzilla. It can silently send off a report to FAF without any interaction if you want. But it should ALSO have a button for actually reporting the bug somewhere a human will see it.
Comment 7 Jiri Moskovcak 2013-08-20 03:13:58 EDT
(In reply to Adam Williamson from comment #6)
> Sigh. No. That's not what I want. I'm talking about the *default behaviour*.
> 
> I want the default behaviour to encourage entering encountered bugs into
> Bugzilla. It can silently send off a report to FAF without any interaction
> if you want. But it should ALSO have a button for actually reporting the bug
> somewhere a human will see it.

I'm sorry Adam, but no. The UX designers who are affiliated with gnome requested this behaviour, they don't want to bother users with the long reporting process so only reporting to FAF is enabled in gnome by default. I'm not going to have this discussion about the reporting process with them again, so if you really insist on having it enabled by default, then please convince them your self. We're happy to enable it once gnome UX gurus agree with it.
Comment 8 Fedora End Of Life 2013-09-16 12:27:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 Jakub Filak 2013-10-11 11:02:18 EDT
*** Bug 1017869 has been marked as a duplicate of this bug. ***
Comment 10 Jakub Filak 2013-10-11 11:02:46 EDT
*** Bug 1016714 has been marked as a duplicate of this bug. ***
Comment 11 Fedora End Of Life 2015-05-29 05:18:04 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 08:15:12 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.